> ## Documentation Index
> Fetch the complete documentation index at: https://developers.pleo.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Export Job Items

> Update the status and other attributes of the export job items in batches of 100. This API only supports updating up to 100 items.



## OpenAPI

````yaml put /v1/export-jobs/{jobId}/items
openapi: 3.0.1
info:
  title: Export API
  description: >
    This API enables you to perform the following:

    - Retrieve a list of accounting entries that have been exported to the
    external ERP/accounting system.

    - Create a new export job event.

    - Retrieve a list of existing export jobs and create a new one.

    - Retrieve details of an export job.

    - Retrieve a list of export job items and update their information.
  termsOfService: https://pleo.io/terms/
  contact:
    email: apiteam@pleo.io
  license:
    name: Apache 2.0
    url: http://www.apache.org/licenses/LICENSE-2.0.html
  version: 32.4.0
servers:
  - url: https://external.pleo.io
    description: Production server
  - url: https://external.staging.pleo.io
    description: Staging server
security:
  - bearerAuth: []
  - basicAuth: []
tags:
  - name: health
  - name: export-items
  - name: export-jobs
  - name: admin
  - name: export-job-items
  - name: Export API (v2)
  - name: Export Items (v2)
  - name: Export API (v3)
  - name: Export Items (v3)
paths:
  /v1/export-jobs/{jobId}/items:
    put:
      tags:
        - Export API (v1)
      summary: Update Export Job Items
      description: >-
        Update the status and other attributes of the export job items in
        batches of 100. This API only supports updating up to 100 items.
      operationId: updateExportJobItemsV1
      parameters:
        - name: jobId
          in: path
          required: true
          style: simple
          explode: false
          schema:
            type: string
            description: Export Job ID
            format: uuid
      requestBody:
        content:
          application/json;charset=UTF-8:
            schema:
              type: array
              items:
                $ref: '#/components/schemas/UpdateExportJobItem'
      responses:
        default:
          description: default response
          content:
            application/json;charset=UTF-8:
              schema:
                $ref: '#/components/schemas/ExportJobItemUpdate'
      deprecated: true
components:
  schemas:
    UpdateExportJobItem:
      required:
        - accountingEntryId
        - status
      type: object
      properties:
        accountingEntryId:
          type: string
          description: ID of the accounting entry being updated.
          format: uuid
        exportedAt:
          pattern: YYYY-MM-DDTHH:mi:ssZ
          type: string
          description: Date and time when the export job was initiated.
          format: date-time
        externalId:
          type: string
          description: The accounting system identifier of the entry after export.
        externalUrl:
          type: string
          description: URL to access the resource of the entry in the accounting system.
        failureReason:
          type: string
          description: Detailed message explaining the failure.
        failureReasonType:
          type: string
          description: >-
            If the export of this accounting entry failed, specify the failure
            reason type.
          enum:
            - receipt_upload_failure
            - receipt_download_failure
            - receipt_file_size_limit_exceeded
            - receipt_conversion_failure
            - unexpected_failure
            - invalid_configuration
            - missing_configuration
            - accounting_system_authentication_failure
            - accounting_system_rate_limit
            - accounting_system_unreachable
            - validation_failure
            - accounting_system_validation_failure
            - authorization_failure
            - accounting_system_timeout
        status:
          type: string
          description: Status of the export Item after being processed.
          enum:
            - pending
            - in_progress
            - failed
            - successful
            - abandoned
    ExportJobItemUpdate:
      required:
        - data
        - errors
      type: object
      properties:
        data:
          type: array
          items:
            $ref: '#/components/schemas/ExportJobItem'
        errors:
          type: array
          description: >-
            If any errors occurred in updating the export job items, they will
            be listed here.
          items:
            $ref: '#/components/schemas/ExportJobItemUpdateError'
    ExportJobItem:
      required:
        - accountingEntryId
        - exportJobId
        - status
      type: object
      properties:
        accountingEntryId:
          type: string
          description: The accounting entry identifier being exported.
          format: uuid
        exportJobId:
          type: string
          description: The export job identifier for which this item belongs to.
          format: uuid
        exportedAt:
          pattern: YYYY-MM-DDTHH:mi:ssZ
          type: string
          description: Date and time the item was exported.
          format: date-time
          nullable: true
        externalId:
          type: string
          description: >-
            This is an external identifier of the corresponding accounting entry
            in the accounting system after export.
          nullable: true
        externalUrl:
          type: string
          description: >-
            This is the external URL pointing to the accounting entry resource
            in the accounting system after the export.
          nullable: true
        failureReason:
          type: string
          description: Reason why the export of this item failed in the case of a failure.
          nullable: true
        failureReasonType:
          type: string
          description: >-
            The classification for the failure from a list of described failure
            reason types.
          nullable: true
          enum:
            - receipt_upload_failure
            - receipt_download_failure
            - receipt_file_size_limit_exceeded
            - receipt_conversion_failure
            - unexpected_failure
            - invalid_configuration
            - missing_configuration
            - accounting_system_authentication_failure
            - accounting_system_rate_limit
            - accounting_system_unreachable
            - validation_failure
            - accounting_system_validation_failure
            - authorization_failure
            - accounting_system_timeout
        status:
          type: string
          description: >-
            Status of the export job Item after being processed. The status of
            the export job item is null until an attempt has been made to
            process the export job item.
          enum:
            - pending
            - in_progress
            - failed
            - successful
            - abandoned
    ExportJobItemUpdateError:
      required:
        - accountingEntryId
        - message
        - type
      type: object
      properties:
        accountingEntryId:
          type: string
          description: Accounting entry ID for which this error occurred.
          format: uuid
        message:
          type: string
          description: Descriptive error message.
        type:
          type: string
          description: Descriptive error type.
          enum:
            - ACCOUNTING_ENTRY_DOES_NOT_EXIST
            - EXPORT_ENTRY_STATUS_UPDATE_FAILED
            - ACCOUNTING_ENTRY_UPDATE_FAILED
      description: >-
        If any errors occurred in updating the export job items, they will be
        listed here.
  securitySchemes:
    bearerAuth:
      type: http
      description: >-
        JWT Bearer token authentication. Include the token in the Authorization
        header as: `Bearer <token>`
      scheme: bearer
      bearerFormat: JWT
    basicAuth:
      type: http
      description: >-
        Basic HTTP authentication using API key. Use your API key as the
        username and leave the password empty. The credentials will be Base64
        encoded automatically.
      scheme: basic

````